Subject: Re: [PATCH] http.c: prompt for username on 403

From: "brian m. carlson" <[email-masked]>
Date: Wed, 15 Oct 2025 22:31:58 +0000

On 2025-10-15 at 14:12:09, Ashlesh Gawande wrote:
> Oh I see - yeah don't want to erase the credentials.
> Was trying to figure why 403 was happening instead of a prompt (as I was not
> aware of netrc file being used).
> Thanks for the detailed explanation and suggestions Brian!
> 
> Is it worth it to include the netrc tests in git that I wrote as part of
> this

Yes, I think if you have patches to test our netrc handling, those would
be very welcome.  I was complaining a couple months ago about how we had
no tests for netrc after I accidentally broke the code that makes it
work, so I would very much appreciate any tests we could add to make
that less likely in the future.
-- 
brian m. carlson (they/them)
Toronto, Ontario, CA